Investigate approach for highlighting search terms in the address bar
We could possibly use selection to do the styling like we do with the protocol in the address bar. This depends on the design from bug 959558.